:root {
  --color-main: rgba(20, 20, 20, 0.85);
}

body,
html {
  margin: 0px;
  padding: 0px;
}

body {
  min-height: 100vh;
  min-width: 100vw;
  background-color: rgb(10, 10, 10);
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-family: "Poppins";
  color: white;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: "Sedgwick Ave";
  margin: 0px;
}
p {
  margin: 0px;
}

a {
  color: white;
}

button {
  all: unset;
  background-color: white;
  color: var(--color-main);
  padding: 1rem;
  cursor: pointer;
  font-weight: bold;
  transition: all 0.1s ease-in-out;
  border: 1px solid white;
  user-select: none;
  border-radius: 8px;
}
button:hover {
  background-color: var(--color-main);
  color: white;
}
button:active {
  background-color: white;
  color: var(--color-main);
}

footer {
  height: 2rem;
  width: 100vw;
  margin-top: 1rem;
  position: sticky;
  bottom: 0;
  background-color: var(--color-main);
  color: white;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  font-size: small;
}

#wrapper {
  min-height: 100vh;
  min-width: 100vw;
  box-sizing: border-box;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#header {
  width: 100%;
  height: 4rem;
  position: sticky;
  top: 0;
  margin-bottom: -4rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
  color: white;
  z-index: 10000;
  background-color: var(--color-main);
}
#header h1 {
  font-size: 1.2rem;
}
.header-icon {

}
.header-text {
  display: none;
}

#top {
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
}
#top img {
  height: 100vh;
  width: 100vw;
  object-fit: cover;
  filter: brightness(0.5) blur(0px);
}
#top-text {
  width: 100%;
  height: 18rem;
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  background-color: var(--color-main);
  border-radius: 8px;
}
#top-text h1 {
  font-size: 3rem;
  transition: all 0.3s ease-in-out;
}

.slot {
  width: 100%;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.slot .col {
  width: 100%;
  position: absolute;
  background-color: rgba(20, 20, 20, 0.8);
  padding-top: 4rem;
  padding: 4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  transition: transform 0.4s ease-in-out, opacity 0.6s ease-in-out;
  text-align: center;
  opacity: 1;
}
.slot .col h1 {
  font-size: 4rem;
}

.slot-img {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  opacity: 0;
  filter: brightness(0.5) blur(0px);
  transition: transform 0.4s ease-in-out, opacity 0.6s ease-in-out;
}
.left {
  transform: translateX(-100%);
}
.right {
  transform: translateX(100%);
}
.scroll-active-slide {
  transform: translateX(0%);
  opacity: 1;
}

#mymap {
  width: 50%;
  height: 50vh;
  display: none;
}

.row {
  display: flex;
  flex-direction: row;
}

.al-c {
  align-items: center;
}

.gap-05r {
  gap: 0.5rem;
}
.gap-1r {
  gap: 1rem;
}
.gap-2r {
  gap: 1rem;
}

.clickable {
  cursor: pointer;
  transition: all 0.1s ease-in-out;
}
.clickable:hover {
  transform: translate(0px, 4px);
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
  body {
    overflow: hidden;
  }
  .header-text {
    display: flex;
  }
  .header-icon {
    display: none;
  }
  #header h1 {
    font-size: 2rem;
  }
  #top-text h1 {
    font-size: 5rem;
  }
  .slot {
    flex-direction: row;
  }
  #mymap {
    display: flex;
  }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
  .header-icon {
    display: none;
  }
}
